## toshiba-osd-bin 0.9

=== debian/changelog ===
toshiba-osd-bin (0.9) hardy; urgency=low

  * Update to osddriver 1.03.19
  * Compile on lpia

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Mon, 15 Dec 2008 08:14:04 -0500

toshiba-osd-bin (0.8) hardy; urgency=low

  * Update osddriver to 1.03.19

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Mon, 15 Dec 2008 05:33:29 -0500

toshiba-osd-bin (0.7.1) hardy; urgency=low

  * Add osddriver to /etc/modules

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Sun, 02 Nov 2008 14:49:07 -0500

toshiba-osd-bin (0.7) hardy; urgency=low

  * Rename osd-driver to osddriver

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Sat, 01 Nov 2008 22:45:01 -0400

toshiba-osd-bin (0.6) hardy; urgency=low

  * Reduce package to only provide osd
  * Update osd driver to version 1.03.15

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Fri, 31 Oct 2008 13:24:57 -0400

toshiba-osd-bin (0.5.1) hardy; urgency=low

  * Update for osd supporting brightness persistence upon resolution change
    via Fn+ESC

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Wed, 29 Oct 2008 19:54:26 -0400

toshiba-osd-bin (0.5) hardy; urgency=low

  * Fixed module name in init script
  * New osd that supports NetworkManager

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Wed, 29 Oct 2008 19:28:49 -0400

toshiba-osd-bin (0.4.2) hardy; urgency=low

  * Fix init script

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Wed, 29 Oct 2008 18:18:25 -0400

toshiba-osd-bin (0.4.1) hardy; urgency=low

  * Fix module name

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Wed, 29 Oct 2008 17:37:24 -0400

toshiba-osd-bin (0.4) hardy; urgency=low

  * Add module to /etc/modules, start osd upon installation

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Wed, 29 Oct 2008 17:22:42 -0400

toshiba-osd-bin (0.3.2) hardy; urgency=low

  *  Fixed paths

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Wed, 29 Oct 2008 16:18:16 -0400

toshiba-osd-bin (0.3.1) hardy; urgency=low

  * Added dependencies

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Wed, 29 Oct 2008 15:44:10 -0400

toshiba-osd-bin (0.3) hardy; urgency=low

  * Using lpia binaries

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Wed, 29 Oct 2008 15:20:56 -0400

toshiba-osd-bin (0.2.1) hardy; urgency=low

  * Will not work on x86-64, so do not include it as a buildable arch 

 -- Jerone Young <jerone.young@canonical.com>  Mon, 27 Oct 2008 17:53:58 -0500

toshiba-osd-bin (0.2) hardy; urgency=low

  * Added uninstall feature of osd

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Wed, 22 Oct 2008 16:27:06 -0400

toshiba-osd-bin (0.1) hardy; urgency=low

  * Initial Release.

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Wed, 22 Oct 2008 15:08:56 -0400

## toshiba-osd-bin 0.11

=== src/osddriver/Makefile ===
osddriver-objs := event.o fan.o hibernate.o init.o key.o mute.o wireless.o threeg.o
obj-m += osddriver.o

KVER := 2.6.24-19-lpia

INCDIR := /lib/modules/$(shell uname -r)/build

all:
	make -C $(INCDIR) M=$(PWD) modules

clean:
	make -C $(INCDIR) M=$(PWD) clean

distclean: clean

install:
	install -d $(DESTDIR)/lib/modules/$(KVER)/arizona/
	install -D osddriver.ko $(DESTDIR)/lib/modules/$(KVER)/arizona/

## toshiba-osd-bin 0.10

=== debian/changelog ===
toshiba-osd-bin (0.10) hardy; urgency=low

  * rebuilt osddriver.ko against proper kernel headers to eliminate
    the warnings reported in dmesg. 

 -- Bill Filler <bill.filler@canonical.com>  Thu, 18 Dec 2008 13:52:51 -0500

=== debian/control ===
Source: toshiba-osd-bin
Section: misc
Priority: extra
Maintainer: Torsten Spindler (Canonical) <torsten@canonical.com>
Build-Depends: cdbs, debhelper (>= 5), libgtk2.0-0, libxtst6, libx11-6
Standards-Version: 3.8.0

Package: toshiba-osd-bin
Architecture: i386 lpia 
Depends: ${shlibs:Depends}, ${misc:Depends}, libatk1.0-0 (>= 1.20.0), libc6 (>= 2.7-1), libcairo2 (>= 1.6.0), libgcc1 (>= 1:4.2.1), libglib2.0-0 (>= 2.12.0), libgtk2.0-0 (>= 2.12.0), libpango1.0-0 (>= 1.20.5), libstdc++6 (>= 4.2.1), libx11-6, libxext6, libxrandr2 (>= 2:1.2.0), libxtst6, libx11-6
Description: On Screen Display and hotkey support.
 Support for hotkeys and OSD (on screen display) for the Toshiba NB100
 netbook.

## toshiba-osd-bin 0.11

=== debian/changelog ===
toshiba-osd-bin (0.11) hardy; urgency=low

  * correctly added source files and updated headers on source files
    to reflect GPL. 

 -- Bill Filler <bill.filler@canonical.com>  Tue, 03 Mar 2009 13:05:21 -0500

=== src/osddriver/debian/changelog ===
osddriver (1.03.12-1ts) hardy; urgency=low

  * Version bump for cdbs based build

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Wed, 29 Oct 2008 14:23:22 -0400

osddriver (1.03.12-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Jerone Young <jerone.young@canonical.com>  Wed, 29 Oct 2008 00:37:04 -0500

=== src/osddriver/debian/control ===
Source: osddriver
Section: admin
Priority: extra
Maintainer: Jerone Young <jerone.young@canonical.com>
Build-Depends: debhelper (>= 5), bzip2
Standards-Version: 3.8.0
Homepage: <insert the upstream URL, if relevant>

Package: osddriver-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description> <insert long description, indented with spaces>

Package: osddriver-source
Architecture: all
Depends: module-assistant, debhelper (>= 5), make, bzip2
Description: Source for the osddriver driver.
 This package provides the source code for the osddriver kernel modules.
 The osddriver package is also required in order to make use of these
 modules. Kernel source or headers are required to compile these modules.

## toshiba-osd-bin 0.17

=== src/osddriver/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 osddriver-objs := event.o fan.o hibernate.o init.o key.o mute.o wireless.o threeg.o
 obj-m += osddriver.o
 
-KVER := 2.6.24-19-lpia
+KVER := 2.6.24-27-lpia
 
-INCDIR := /lib/modules/$(shell uname -r)/build
+INCDIR := /lib/modules/$(KVER)/build
 
 all:
 	make -C $(INCDIR) M=$(PWD) modules

=== debian/changelog ===
toshiba-osd-bin (0.17) payson; urgency=low

  * Rebuild osddriver.ko for 2.6.24-27 kernel
  * src/osddriver/Makefile: Update path to headers to use KVER

 -- Steve Magoun <steve.magoun@canonical.com>  Thu, 05 Aug 2010 17:04:49 -0400

toshiba-osd-bin (0.16) payson; urgency=low

  * rebuilt osddriver.ko against 2.6.24-24 headers 
  * fixed typo in src so it would build correctly

 -- Bill Filler <bill.filler@canonical.com>  Thu, 16 Apr 2009 17:01:05 -0400

toshiba-osd-bin (0.15) payson; urgency=low

  * added depends on linux-image-2.6.24-22-lpia
  * better error checking in preinst and postinst 

 -- Bill Filler <bill.filler@canonical.com>  Fri, 27 Mar 2009 16:30:19 -0400

toshiba-osd-bin (0.14) payson; urgency=low

  * on run fix_osd on first install in preinst 

 -- Bill Filler <bill.filler@canonical.com>  Fri, 27 Mar 2009 11:36:13 -0400

toshiba-osd-bin (0.13) payson; urgency=low

  * added debian/preinst to cleanup legacy osd files from pre-mp image 

 -- Bill Filler <bill.filler@canonical.com>  Thu, 26 Mar 2009 18:11:47 -0400

toshiba-osd-bin (0.12) payson; urgency=low

  * added source files and corrected headers to be consistent with
    GPL v2 license 

 -- Bill Filler <bill.filler@canonical.com>  Tue, 03 Mar 2009 13:20:31 -0500

toshiba-osd-bin (0.11) payson; urgency=low

  * rebuilt osddriver.ko against 2.6.24-22-lpia and updated where
    the module gets installed 

 -- Bill Filler <bill.filler@canonical.com>  Fri, 27 Feb 2009 17:37:39 -0500

=== debian/control ===
Source: toshiba-osd-bin
Section: misc
Priority: extra
Maintainer: Torsten Spindler (Canonical) <torsten@canonical.com>
Build-Depends: cdbs, debhelper (>= 5), libgtk2.0-0, libxtst6, libx11-6
Standards-Version: 3.8.0

Package: toshiba-osd-bin
Architecture: i386 lpia 
Depends: ${shlibs:Depends}, ${misc:Depends}, linux-image-2.6.24-27-lpia, libatk1.0-0 (>= 1.20.0), libc6 (>= 2.7-1), libcairo2 (>= 1.6.0), libgcc1 (>= 1:4.2.1), libglib2.0-0 (>= 2.12.0), libgtk2.0-0 (>= 2.12.0), libpango1.0-0 (>= 1.20.5), libstdc++6 (>= 4.2.1), libx11-6, libxext6, libxrandr2 (>= 2:1.2.0), libxtst6, libx11-6
Description: On Screen Display and hotkey support.
 Support for hotkeys and OSD (on screen display) for the Toshiba NB100
 netbook.

=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/rules/debhelper.mk

# Add here any variable or target overrides you need.
